Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2.messaging
Class GlacierRangeForwardMessage

    java.lang.Object
      rice.p2p.glacier.v2.messaging.GlacierMessage
          rice.p2p.glacier.v2.messaging.GlacierRangeForwardMessage

All Implemented Interfaces:
  Message, java.io.Serializable

public class GlacierRangeForwardMessage
extends GlacierMessage

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected IdRange` | `requestedRange` DESCRIBE THE FIELD
`protected NodeHandle` | `requestor` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`dest, id, isResponse, source, tag`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GlacierRangeForwardMessage(int uid, IdRange requestedRange, NodeHandle requestor, NodeHandle source, Id dest, char tag)` Constructor for GlacierRangeForwardMessage.

Method Summary
`IdRange` | `getRequestedRange()` Gets the RequestedRange attribute of the GlacierRangeForwardMessage object
`NodeHandle` | `getRequestor()` Gets the Requestor attribute of the GlacierRangeForwardMessage object
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`getDestination, getPriority, getSource, getTag, getUID, isResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### requestedRange

    protected IdRange requestedRange

  DESCRIBE THE FIELD

### requestor

    protected NodeHandle requestor

  DESCRIBE THE FIELD

Constructor Detail

### GlacierRangeForwardMessage

    public GlacierRangeForwardMessage(int uid,
                                      IdRange requestedRange,
                                      NodeHandle requestor,
                                      NodeHandle source,
                                      Id dest,
                                      char tag)

  Constructor for GlacierRangeForwardMessage.

Parameters:
  `uid` - DESCRIBE THE PARAMETER
  `requestedRange` - DESCRIBE THE PARAMETER
  `requestor` - DESCRIBE THE PARAMETER
  `source` - DESCRIBE THE PARAMETER
  `dest` - DESCRIBE THE PARAMETER
  `tag` - DESCRIBE THE PARAMETER

Method Detail

### getRequestedRange

    public IdRange getRequestedRange()

  Gets the RequestedRange attribute of the GlacierRangeForwardMessage object

  Returns:
    The RequestedRange value

### getRequestor

    public NodeHandle getRequestor()

  Gets the Requestor attribute of the GlacierRangeForwardMessage object

  Returns:
    The Requestor value

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.